Informacje

Uwierzytelnianie wymagane
Format odpowiedzi json
Metoda HTTP POST

POST connections/call

Ostatnia modyfikacja 2026-05-21 13:50:27

Zestawia połączenie na wskazany numer.

Ponieważ w chwili wywoływania metody nieznany jest rezultat z jakim zakończy się próba połączenia, to metoda nic nie zwraca.

URL

https://your-system-name.thulium.com/api/connections/call

Parametry

sip

wymagany

Numer SIP, dla którego ma być zestawione połączenie. Przykładowa wartość: 301
phone_number

wymagany

Numer telefonu, na który system zadzwoni. Przykładowa wartość: 666777888

Przykładowy request

POST https://your-system-name.thulium.com/api/connections/call
Dane {"sip":"391","phone_number":"666777888"}

Przykładowy response

<!-- pusty -->

Przykładowe wywołanie


PHP
<?php
$data = '{"sip":"391","phone_number":"666777888"}';

$request = curl_init('https://your-system-name.thulium.com/api/connections/call');
curl_setopt($request, CURLOPT_HTTPHEADER, array(
    'Content-Type: application/json; charset=utf-8',
    'Content-Length: ' . mb_strlen($data)
));
curl_setopt($request, CURLOPT_USERPWD, 'api_user:api_pass');
curl_setopt($request, CURLOPT_TIMEOUT, 30);
curl_setopt($request, CURLOPT_RETURNTRANSFER, true);
curl_setopt($request, CURLOPT_CUSTOMREQUEST, 'POST');
curl_setopt($request, CURLOPT_POSTFIELDS, $data);

$response = curl_exec($request);
if ($response) {
    $httpCode = curl_getinfo($request, CURLINFO_HTTP_CODE);
    if ($httpCode == 200){
        print_r(json_decode($response));
    } else {
        echo $response;
    }
} else {
    trigger_error(curl_error($request), E_USER_WARNING);
}

curl_close($request);
JAVA
public class Example {
    public static void main(String[] args) throws Exception {
        ThuliumRestClient restClient = new ThuliumRestClient("api_user", "api_pass", true);

        ThuliumRestClient.ThuliumRestResponse response = restClient.post("https://your-system-name.thulium.com/api/connections/call", "{\"sip\":\"391\",\"phone_number\":\"666777888\"}");
        System.out.println(response);
    }
}

CURL
curl -u api_user:api_pass -k -X POST -H "Content-type: application/json" -d '{"sip":"391","phone_number":"666777888"}' "https://your-system-name.thulium.com/api/connections/call"

HTTPie
echo '{"sip":"391","phone_number":"666777888"}' | http -a api_user:api_pass POST https://your-system-name.thulium.com/api/connections/call